## org.plovr.docgen
Class DocWriter

    java.lang.Object
      org.plovr.docgen.DocWriter

    public class DocWriter

extends Object

Constructor Summary
`DocWriter(File documentationRootDirectory, Map<String,ClassDescriptor> classes, Map<String,LibraryDescriptor> libraries)`

Method Summary
`void` `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocWriter

    public DocWriter(File documentationRootDirectory,
                     Map<String,ClassDescriptor> classes,
                     Map<String,LibraryDescriptor> libraries)

Method Detail

### write

    public void write()
               throws IOException

  Throws:
    `IOException`